{% extends 'test_base_2.html' %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link href="/static/assets/css/app.css" rel="stylesheet">
    <link href="/static/assets/css/info_pages.css" rel="stylesheet">
{% endblock %}

{% block content %}

<main class="content">

    <div class="container-fluid p-0">

      <!-- container with title and breadcrumb -->
        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3><strong>Informationen</strong> zum Qualitätsüberwachungssystem</h3>
            </div>

            <div class="col-auto ml-auto text-right mt-n1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                        <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Informationen</li>
                    </ol>
                </nav>
            </div>
        </div>

        <!-- container with text -->
        <div class="container-fluid text-left">
          <h4>Qualitätsüberwachungssystem</h4>
          <p class="indent-1">
            Um die Qualität eines Produktes bereits während der Produktion
            vorhersagen zu können, wird ein Qualitätsüberwachungssystem eingesetzt.
            Dieses Qualitätsüberwachungssystem besteht aus insgesamt zwei
            Komponenten: Die Datenerfassung mittels eines Sensorkonzepts und
            das Qualitätsmodell.
          </p>
          <h5 class="indent-1">Sensorkonzept</h5>
          <p class="indent-2">
            Die Datenerfassung beinhaltet ein Sensorkonzept, das die Daten
            während des FDM-Prozesses aufzeichnet. Dabei werden mehrere
            Parameterdaten während des Prozesses aufgenommen, die in der
            folgenden Tabelle aufgelistet sind. Die Daten werden in einer
            Datenbank abgespeichert, um die historischen Daten in einem nächsten
            Schritt für das Training des Modells nutzen zu können.
          </p>
          <!-- Table with all data parameters -->
          <div class="table_container">
            <h6><strong>Tabelle 1:</strong> Liste der überwachten Parameter</h6>
            <table class="table_data_param">
              <thead>
                <tr>
                  <th scope="col">Benutzereingaben</th>
                  <th scope="col">Sensordaten</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <ul>
                      <li>Bauteilname</li>
                      <li>Druckerfüllgrad</li>
                      <li>Druckgeschwindigkeit</li>
                      <li>Schichthöhe</li>
                      <li>Druckername</li>
                      <li>Druckerhersteller</li>
                      <li>Material des Filaments</li>
                      <li>Filamenthersteller</li>
                      <li>Filamentdurchmesser</li>
                      <li>Öffnungsdatum des Materials</li>
                    </ul>
                  </td>
                  <td>
                    <ul>
                      <li>Temperatur des Extruders</li>
                      <li>Temperatur der Bauplatte</li>
                      <li>Temperatur in der Kammer</li>
                      <li>Lüftergeschwindigkeiten</li>
                      <li>Umgebungstemperatur in der Nähe der Düse</li>
                      <li>Luftfeuchtigkeit in der Kammer</li>
                      <li>Luftdruck in der Kammer</li>
                      <li>Beschleunigungen des Extruders</li>
                      <li>Beschleunigungen der Bauplatte</li>
                      <li>Filamentquerschnitt</li>
                      <li>Filamentzuführung</li>
                      <li>Türsensor</li>
                    </ul>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <h5 class="indent-1">Qualitätsmodell</h5>
          <p class="indent-2">
            Das Qualitätsmodell arbeitet mit den Datensätze, die wir von dem
            Sensorkonzept erhalten haben. Zu diesem Zweck wurde eine Pipeline
            für maschinelles Lernen (ML) entwickelt, die die folgenden
            Komponenten umfasst: Vorverarbeitung der Daten, Merkmalsextraktion
            und -auswahl, Training von ML-Algorithmen einschließlich
            Hyperparameteroptimierung und Kreuzvalidierung sowie Benchmarking
            der resultierenden Modelle.
          </p>
          <p class="indent-2">
            In einem ersten Schritt werden die Daten aus der Datenbank entnommen
            und durch Vorverarbeitung bereinigt und für die folgenden Schritte
            der ML-Pipeline nutzbar gemacht. Anschließend werden aus den
            Prozessdaten Merkmale zur Beschreibung des Prozesses extrahiert.
            In einem weiteren Schritt werden die Einflüsse der Merkmale auf den
            Prozess bewertet und die wichtigsten Merkmale für die weiteren
            Pipelineschritte verwendet. Mit den ausgewählten Merkmalen werden
            mehrere ML-Algorithmen mittels Kreuzvalidierung trainiert und
            validiert. Am Ende der ML-Pipeline wird das Modell verwendet,
            welches beim Benchmarking am besten abgeschnitten hat.
          </p>
          <!-- Figure of ML model -->
          <div class="table_container">
            <figure class="figure">
              <img src="/static/assets/img/info/ML_Model.png" width="100%" alt="Pipeline für maschinelles Lernen">
              <figcaption class="figure-caption">Abbildung 1: Pipeline für maschinelles Lernen</figcaption>
            </figure>
          </div>
        </div>


    </div>
</main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
{% endblock javascripts %}
